/[gentoo-x86]/app-admin/packagekit-base/ChangeLog
Gentoo

Contents of /app-admin/packagekit-base/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.35 - (show annotations) (download)
Thu Jul 24 17:42:36 2014 UTC (4 years, 4 months ago) by ssuominen
Branch: MAIN
CVS Tags: HEAD
Changes since 1.34: +9 -2 lines
Remove USE="udev" from 0.8.15 because PackageKit-0.8.15.tar.xz has no reference to udev at all except in NEWS with "Remove the Udev firmware loading functionality (Richard Hughes)". Convert 0.7.4 from virtual/udev to virtual/libgudev but without := because the ebuild is still using EAPI=3.

(Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 4868F14D)

1 # ChangeLog for app-admin/packagekit-base
2 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
3 # $Header: /var/cvsroot/gentoo-x86/app-admin/packagekit-base/ChangeLog,v 1.34 2013/12/19 10:17:44 lxnay Exp $
4
5 24 Jul 2014; Samuli Suominen <ssuominen@gentoo.org>
6 packagekit-base-0.7.4.ebuild, packagekit-base-0.8.15-r1.ebuild:
7 Remove USE="udev" from 0.8.15 because PackageKit-0.8.15.tar.xz has no
8 reference to udev at all except in NEWS with "Remove the Udev firmware loading
9 functionality (Richard Hughes)". Convert 0.7.4 from virtual/udev to
10 virtual/libgudev but without := because the ebuild is still using EAPI=3.
11
12 *packagekit-base-0.8.15-r1 (19 Dec 2013)
13
14 19 Dec 2013; Fabio Erculiani <lxnay@gentoo.org>
15 -packagekit-base-0.8.15.ebuild, +packagekit-base-0.8.15-r1.ebuild,
16 +files/packagekit-base-0.8.15-qtdbus-annotate.patch:
17 revbump, add another upstreamed patch that fixes the compilation of
18 packagekit-qt4
19
20 18 Dec 2013; Fabio Erculiani <lxnay@gentoo.org>
21 packagekit-base-0.8.15.ebuild:
22 add conditional bash completion support, fix #494644, thanks to Sander Sweers
23
24 *packagekit-base-0.8.15 (18 Dec 2013)
25
26 18 Dec 2013; Fabio Erculiani <lxnay@gentoo.org>
27 -packagekit-base-0.6.22.ebuild, +packagekit-base-0.8.15.ebuild,
28 +files/0001-entropy-PackageKitEntropyClient.output-API-update.patch,
29 -files/packagekit-base-0.6.22-npapi-sdk.patch,
30 +files/packagekit-base-0.8.x-npapi-sdk.patch, metadata.xml:
31 version bump to 0.8.15, drop old
32
33 21 Jul 2013; Pacho Ramos <pacho@gentoo.org> metadata.xml:
34 connman is a global USE flag now
35
36 31 Dec 2012; Agostino Sarubbo <ago@gentoo.org> packagekit-base-0.6.22.ebuild:
37 Add ~ia64, wrt bug #387959
38
39 02 Dec 2012; Samuli Suominen <ssuominen@gentoo.org>
40 packagekit-base-0.6.22.ebuild, packagekit-base-0.7.4.ebuild:
41 Use virtual/udev instead of sys-fs/udev wrt #444398
42
43 16 Oct 2012; Jeroen Roovers <jer@gentoo.org> packagekit-base-0.6.22.ebuild,
44 packagekit-base-0.7.4.ebuild:
45 Drop HPPA keywording (bug #438368).
46
47 20 Jul 2012; Fabio Erculiani <lxnay@gentoo.org>
48 packagekit-base-0.6.22.ebuild:
49 fix compilation with npapi-sdk currently in tree, close bug #423911
50
51 20 Jul 2012; Fabio Erculiani <lxnay@gentoo.org> packagekit-base-0.7.4.ebuild,
52 +files/packagekit-base-0.7.x-npapi-api-change.patch:
53 fix compilation with unmasked npapi-sdk (see notes inside ebuild)
54
55 20 Jul 2012; Fabio Erculiani <lxnay@gentoo.org> packagekit-base-0.7.4.ebuild:
56 properly handle 'connman' USE flag
57
58 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org>
59 packagekit-base-0.7.4.ebuild:
60 Remove call to bash-completion_pkg_postinst from pkg_postinst() since such
61 function is not present in bash-completion-r1.eclass. Since bash-completion
62 shouldn't be behind USE flag always pass --enable-command-not-found.
63
64 27 Jun 2012; Samuli Suominen <ssuominen@gentoo.org>
65 packagekit-base-0.7.4.ebuild:
66 Remove check for polkit-backend-1 which is now marked as "noinst" in polkit
67 >= 0.106 wrt #423431 by Pim Vullers
68
69 27 May 2012; Matt Turner <mattst88@gentoo.org> packagekit-base-0.7.4.ebuild:
70 Added ~alpha, bug 387959.
71
72 *packagekit-base-0.7.4 (19 May 2012)
73
74 19 May 2012; Fabio Erculiani <lxnay@gentoo.org>
75 +packagekit-base-0.7.4.ebuild, +files/packagekit-base-0.7.x-npapi-sdk.patch:
76 version bump, see bug 416593
77
78 *packagekit-base-0.6.22 (19 May 2012)
79
80 19 May 2012; Fabio Erculiani <lxnay@gentoo.org>
81 -packagekit-base-0.6.20.ebuild, +packagekit-base-0.6.22.ebuild,
82 +files/packagekit-base-0.6.22-npapi-sdk.patch,
83 -files/packagekit-base-0.6.x-npapi-sdk.patch:
84 version bump
85
86 09 May 2012; Matt Turner <mattst88@gentoo.org> packagekit-base-0.6.20.ebuild:
87 Added ~mips, bug 387959.
88
89 03 May 2012; Jeff Horelick <jdhore@gentoo.org> packagekit-base-0.6.20.ebuild:
90 dev-util/pkgconfig -> virtual/pkgconfig
91
92 22 Apr 2012; Samuli Suominen <ssuominen@gentoo.org>
93 packagekit-base-0.6.20.ebuild, +files/packagekit-base-0.6.x-npapi-sdk.patch:
94 Build nsplugin against npapi-sdk instead of xulrunner wrt #383141 by Jory A.
95 Pratt
96
97 22 Apr 2012; Samuli Suominen <ssuominen@gentoo.org>
98 -packagekit-base-0.6.16.ebuild, -packagekit-base-0.6.17-r1.ebuild,
99 -files/packagekit-base-0.6.17-entropy-extra-downloads-support.patch,
100 -packagekit-base-0.6.18-r1.ebuild, -packagekit-base-0.6.19.ebuild,
101 -files/packagekit-base-entropy-add-forward-compatibility.patch:
102 old
103
104 14 Mar 2012; Samuli Suominen <ssuominen@gentoo.org> metadata.xml:
105 Punt useless USE description(s) for USE="static-libs" and USE="udev"
106
107 12 Mar 2012; Samuli Suominen <ssuominen@gentoo.org>
108 packagekit-base-0.6.20.ebuild:
109 Revert back to ~ppc64 because this is not ready to be stabilized.
110
111 12 Mar 2012; Brent Baude <ranger@gentoo.org> packagekit-base-0.6.20.ebuild:
112 Marking packagekit-base-0.6.20 ppc64 stable for bug 407643
113
114 08 Mar 2012; Brent Baude <ranger@gentoo.org> packagekit-base-0.6.20.ebuild:
115 Marking packagekit-base-0.6.20 ~ppc64 for bug 387959
116
117 06 Mar 2012; Brent Baude <ranger@gentoo.org> packagekit-base-0.6.20.ebuild:
118 Marking packagekit-base-0.6.20 ~ppc for bug 387959
119
120 *packagekit-base-0.6.20 (07 Nov 2011)
121
122 07 Nov 2011; Fabio Erculiani <lxnay@gentoo.org>
123 +packagekit-base-0.6.20.ebuild:
124 version bump
125
126 25 Oct 2011; Jeroen Roovers <jer@gentoo.org> packagekit-base-0.6.19.ebuild:
127 Marked ~hppa (bug #387959).
128
129 *packagekit-base-0.6.19 (06 Oct 2011)
130
131 06 Oct 2011; Fabio Erculiani <lxnay@gentoo.org>
132 +packagekit-base-0.6.19.ebuild:
133 version bump, fix python dependency, force to 2
134
135 *packagekit-base-0.6.18-r1 (05 Oct 2011)
136
137 05 Oct 2011; Fabio Erculiani <lxnay@gentoo.org>
138 -packagekit-base-0.6.18.ebuild, +packagekit-base-0.6.18-r1.ebuild,
139 +files/packagekit-base-entropy-add-forward-compatibility.patch:
140 revision bump, add upstream patch
141
142 05 Sep 2011; Fabio Erculiani <lxnay@gentoo.org>
143 packagekit-base-0.6.18.ebuild:
144 fix nsplugin installation
145
146 05 Sep 2011; Markus Meier <maekke@gentoo.org>
147 packagekit-base-0.6.17-r1.ebuild, packagekit-base-0.6.18.ebuild:
148 add ~arm, bug #379657
149
150 *packagekit-base-0.6.18 (05 Sep 2011)
151
152 05 Sep 2011; Fabio Erculiani <lxnay@gentoo.org>
153 +packagekit-base-0.6.18.ebuild:
154 version bump
155
156 *packagekit-base-0.6.17-r1 (09 Aug 2011)
157
158 09 Aug 2011; Fabio Erculiani <lxnay@gentoo.org>
159 -packagekit-base-0.6.17.ebuild, +packagekit-base-0.6.17-r1.ebuild,
160 +files/packagekit-base-0.6.17-entropy-extra-downloads-support.patch:
161 revision bump, add upstream patch for entropy
162
163 *packagekit-base-0.6.17 (02 Aug 2011)
164
165 02 Aug 2011; Fabio Erculiani <lxnay@gentoo.org>
166 +packagekit-base-0.6.17.ebuild:
167 version bump
168
169 *packagekit-base-0.6.16 (19 Jul 2011)
170
171 19 Jul 2011; Fabio Erculiani <lxnay@gentoo.org>
172 +packagekit-base-0.6.16.ebuild, +metadata.xml:
173 new ebuild

  ViewVC Help
Powered by ViewVC 1.1.20